Flutter问题总结(持续更新)

7313fbcc432143828d824a04ef3111b3.jpg

1、Flutter升级到1.9.x后 ios打包失败 Flutter.framework: Permission denied

这是flutter官方的一个bug,查资料说flutter升级到1.10就好了
不升级flutter的情况下,可以改Flutter SDK 的一个文件,flutter/packages/flutter_tools/bin/xcode_backend.sh

144行

RunCommand find "${derived_dir}/engine/Flutter.framework" -type f -exec chmod a-w "{}" \;

=>

RunCommand find "${derived_dir}/engine/Flutter.framework" -type f -iname '.h' -exec chmod a-w "{}" \;